/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// Include required modules
var { expect } = require("../../../lib/assertions");
var places = require("../../../lib/places");
var toolbars = require("../../../lib/toolbars");
var utils = require("../../../lib/utils");


const TIMEOUT = 5000;

const LOCAL_TEST_FOLDER = collector.addHttpResource('../../../data/');
const LOCAL_TEST_PAGE = LOCAL_TEST_FOLDER + 'layout/mozilla_contribute.html';

var setupModule = function() {
  controller = mozmill.getBrowserController();
  locationBar =  new toolbars.locationBar(controller);
}

var teardownModule = function() {
  places.restoreDefaultBookmarks();
}

var testFailure505548 = function() {
	const Cu = Components.utils;
	
	Cu.import("resource://gre/modules/Services.jsm");
	
	const PREF_BROWSER_STARTUP = "browser.startup.page";
	const PREF_PRIVACY_SANITIZE = "privacy.sanitize.sanitizeOnShutdown";	

	var result = !((Services.prefs.getIntPref(PREF_BROWSER_STARTUP) === 3) && (Services.prefs.getBoolPref(PREF_PRIVACY_SANITIZE)));
	expect.ok(result, "browser.startup.page set to 3 and privacy.sanitize.sanitizeOnShutdown true");
}
